Skip to content

Campaign summary

Statistics
POSThttps://api.dcdial.com/api/type=campaign_summary
Read onlyToken

Returns live statistics for one running campaign.

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always campaign_summary for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

  • campaign_idintegerrequired

    ID of the campaign.

    Example 1024
Terminal window
curl https://api.dcdial.com/api/ \
-d type=campaign_summary \
-d token="$DCDIAL_TOKEN" \
-d campaign_id=1024
Response · 200 OK
{
"response": {
"pace_method": "PREDICTIVE",
"pace_tempo": "1.5",
"intensity_throttle": "0",
"agent_level": "1",
"caller_id": "5559876543",
"campaign_script": "Default Script",
"recording": "ALLCALLS",
"contact_schedule": "Default Customer Schedule",
"total_leads": "1200",
"active_leads": "840",
"remaining_leads": "512",
"percentage_complete": "57.3",
"answered_today": "214",
"called_today": "688",
"percentage_dropped": "1.2",
"average_wrap_time": "00:00:18",
"average_call_interval": "00:00:42",
"average_talkoff_time": "00:02:35",
"average_no_of_agents": "6",
"active_calls": "9",
"calls_ringings": "5",
"calls_waiting": "1",
"calls_in_ivr": "2",
"total": "8",
"ready": "2",
"oncalls": "5",
"wrappingup": "1",
"paused": "0",
"dead": "0",
"active": "Y",
"display_status": "PLAY",
"scheduler_status": "N",
"success": "1",
"error": ""
}
}

Try it

Environment